# MINI-BUILDD-EVENTS

Section: User Commands (1)
Updated: February 2026
Index Return to Main Contents

## NAME

mini-buildd-events - Monitor events. Optionally exit when criteria is met.

## DESCRIPTION

usage: mini-buildd-events [-h] [--version] [-l LOG_LEVEL] [-A AFTER]

[-T {REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} [{REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} ...]]
  [-D DISTRIBUTION] [-S SOURCE] [-V SOURCE_VERSION] [-M MINIMAL_VERSION] [-E {REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} [{REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} ...]] [-F {REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} [{REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} ...]] ENDPOINT

Monitor events. Optionally exit when criteria is met.

### positional arguments:

ENDPOINT
  HTTP target endpoint: Twisted-style Network Client Endpoint
  See: https://twistedmatrix.com/documents/current/core/howto/endpoints.html#clients
  Notation Examples::
'tcp:host=localhost:port=8066': Connect to localhost, unencrypted.
  'tls:host=localhost:port=8066': Connect to localhost, encrypted. 'http://localhost:8066' : Extra URL-style syntax (prefer twisted-style in saved configs, though). 'localhost:8066' : Compatibility host:port syntax (don't use -- might eventually go away).

### options:

-h, --help
  show this help message and exit
--version
  show program's version number and exit
-l, --log-level LOG_LEVEL
  set log level (if none given, ['WARNING', 'mini_buildd.INFO'] is applied by default). May also be given as ``<logger>.<level>`` to effect individual loggers only, and multiple times (check existing logs for actual logger names). (default: None)
-A, --after AFTER
  Also show past events after this date. Use keyword 'epoch' for a big-bang timestamp. Otherwise most formats should work (like '2 weeks ago'). (default: None)
-T, --types {REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} [{REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} ...]
  Types filter (default: None)
-D, --distribution DISTRIBUTION
  Distribution filter (default: None)
-S, --source SOURCE
  Source package name filter (default: None)
-V, --source-version SOURCE_VERSION
  Version filter (default: None)
-M, --minimal-version MINIMAL_VERSION
  Minimal version filter (default: None)
-E, --exit-on {REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} [{REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} ...]
  Types to exit on (default: None)
-F, --fail-on {REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} [{REJECTED,BUILDING,BUILT,PACKAGING,INSTALLED,FAILED,MIGRATED,REMOVED} ...]
  Types to (return and) fail on (default: None)

## Index

NAME
DESCRIPTION
  positional arguments:
  options:

This document was created by man2html, using the manual pages.
Time: 00:18:35 GMT, February 20, 2026